Package org.eclipse.m2m.atl.engine.vm

# Class ClassNativeOperation

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.Operation
org.eclipse.m2m.atl.engine.vm.NativeOperation
org.eclipse.m2m.atl.engine.vm.ClassNativeOperation

public class ClassNativeOperation extends NativeOperation

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.Operation

`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ClassNativeOperation(Method method)`
`ClassNativeOperation(Method method, List parameters, ASMOclType returnType, ASMOclType contextType)`

## Method Summary

Modifier and Type
Method
Description
`ASMOclAny`
`exec(StackFrame frame)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.NativeOperation

`getASMType, getContextSignature, getContextType, getMethod, getName, getParameters, getReturnType, getSignature, registerOperations, registerOperations, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.Operation

`get`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassNativeOperation

public ClassNativeOperation(Method method, List parameters, ASMOclType returnType, ASMOclType contextType)

### ClassNativeOperation

public ClassNativeOperation(Method method)

## Method Details

### exec

public ASMOclAny exec(StackFrame frame)
Description copied from class: `NativeOperation`

Specified by:
  `exec` in class `NativeOperation`
See Also:
  - `Operation.exec(org.eclipse.m2m.atl.engine.vm.StackFrame)`